# RunLineAsync(LocalizedLine,LineCancellationToken)

Method in [OptionsPresenter](/api/csharp/yarn.unity/yarn.unity.optionspresenter.md)

## Summary

Called by a [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) when a line needs to be presented, and stores the line as the 'last seen line' so that it can be shown when options appear.

```csharp
public override YarnTask RunLineAsync(LocalizedLine line, LineCancellationToken token)
```

## Remarks

This view does not display lines directly, but instead stores lines so that when options are run, the last line that ran before the options appeared can be shown.

## Parameters

| Name                                                                                                 | Description                                                                                                                                                                                                          |
| ---------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Yarn.Unity.LocalizedLine](/api/csharp/yarn.unity/yarn.unity.localizedline.md) line                  | The line to present.                                                                                                                                                                                                 |
| [Yarn.Unity.LineCancellationToken](/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md) token | A [LineCancellationToken](/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md) that represents whether the dialogue presenter should hurry it its presentation of the line, or stop showing the current line. |

## Returns

A completed task.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.optionspresenter/yarn.unity.optionspresenter.runlineasync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
